@echo off
echo.
echo FADE TO BLACK - (c) DELPHINE SOFTWARE 1995
rem Version of 27 june 1995

if "%1==" goto SYNTAXE
if "%2==" goto SYNTAXE
if "%3==" goto SYNTAXE

set SRCDRV=%1\delphine
set DSTDRV=%2
set DSTDIR=%3



echo.
echo Minimum installation of game FADE TO BLACK.
echo.
echo You need 12 Mb free on your hard disk drive to install the game.
echo.

if not exist %DSTDRV%\%DSTDIR%\nul goto NOT_ALREADY_EXIST

echo WARNING : Destination directory %DSTDRV%\%DSTDIR% already exist !
echo.

:NOT_ALREADY_EXIST

echo Press any key to install the game on drive %DSTDRV% in directory \%DSTDIR%
echo or Ctrl-C to abort installation now ...
echo.
pause
echo Copying files to disk ...

md %DSTDRV%\%DSTDIR%
if not exist %DSTDRV%\%DSTDIR%\nul goto ERR_NOT_EXIST

cd %DSTDRV%\%DSTDIR%
md %DSTDRV%data
cd %DSTDRV%data
md %DSTDRV%sound
md %DSTDRV%drivers
cd %DSTDRV%\%DSTDIR%
copy %SRCDRV%\data\level1.spr %DSTDRV%\%DSTDIR%\data > NUL
copy %SRCDRV%\data\level1.f3d %DSTDRV%\%DSTDIR%\data > NUL
copy %SRCDRV%\data\level1.p3d %DSTDRV%\%DSTDIR%\data > NUL
copy %SRCDRV%\data\level0.dem %DSTDRV%\%DSTDIR%\data > NUL

copy %SRCDRV%\data\sound\*.sng %DSTDRV%\%DSTDIR%\data\sound > NUL
copy %SRCDRV%\data\sound\*.snd %DSTDRV%\%DSTDIR%\data\sound > NUL
copy %SRCDRV%\data\drivers %DSTDRV%\%DSTDIR%\data\drivers > NUL

copy %SRCDRV%\delphine.ex_ %DSTDRV%\%DSTDIR% > NUL
copy %SRCDRV%\delphine.ini %DSTDRV%\%DSTDIR% > NUL
copy %SRCDRV%\dos4gw.exe %DSTDRV%\%DSTDIR% > NUL
copy %SRCDRV%\trigo.dat %DSTDRV%\%DSTDIR% > NUL
copy %SRCDRV%\*.bat %DSTDRV%\%DSTDIR% > NUL
copy %SRCDRV%\read.me %DSTDRV%\%DSTDIR% > NUL


%DSTDRV%
cd \%DSTDIR%
ren delphine.ex_ delphine.exe
del install.bat > NUL
del inst_ful.bat > NUL

echo.
echo You should read the READ.ME file.
echo.
echo Run SETSOUND if you have a sound card.
echo.
echo Type F2B and press ENTER key to start the game.
echo. 

goto END

:ERR_NOT_EXIST

echo.
echo Cannot create destination directory !
echo Aborting installation, game not installed
echo.
goto END

:END_ERR

goto END

:SYNTAXE

echo.
echo Syntax :
echo "%0 <src drive> <dest drive> <dest directory>"
echo.
echo Example :
echo To install the game in the C:\F2B path with the CDROM in the D: drive.
echo "%0 D: C: F2B"
echo.

:END
